#! /usr/bin/env python
"""Dump the DB sorted by date

This file is a part of XSetBg.

"""

import sys
from m_lib.defenc import default_encoding
from xsetbg_db import xsetbg_db

if not xsetbg_db:
    sys.exit("Error: no database found")

for row in xsetbg_db.select(orderBy='-last_shown'):
    print row.id, row.last_shown, row.full_name.encode(default_encoding)
